Subject: bug#3636: 23.0.95; w32term.c: compile error

From: Harald Maier <[email-masked]>
Date: Sun, 21 Jun 2009 19:29:10 +0200

Uups, I didn't have acces to my email and didn't recognize that the
trunk now is 23.1.50. Here the correction: this bug report is about the
trunk.

Harald

"Maier, Harald" <[email-masked]> writes:

> On my system the latest change on w32term.c causes a compile error. 
>
> gcc -I. -c -gdwarf-2 -g3 -mno-cygwin -mtune=pentium4 -O2
> -Ic:/Programme/GnuWin32/include -Demacs=1 -DHAVE_CONFIG_H -I../nt/inc
> -DHAVE_NTGUI=1 -DUSE_CRT_DLL=1 -o oo-spd/i386/w32term.o w32term.c
> w32term.c: In function `w32_initialize':
> w32term.c:6365: error: invalid operands to binary &
> mingw32-make[1]: *** [oo-spd/i386/w32term.o] Error 1
> mingw32-make[1]: Leaving directory `c:/home/maierha/build/cvs/emacs/src'
> mingw32-make: *** [all-other-dirs-gmake] Error 2
>
> gcc (GCC) 3.4.4 (cygming special, gdc 0.12, using dmd 0.125)
> Copyright (C) 2004 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is
> NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
> PURPOSE.
>
> 2009-06-21  Jason Rumney  <[email-masked]>
>
>       * w32term.c (keyboard_codepage): New static variable.
>       (w32_read_socket) [WM_INPUTLANGCHANGE]: Update it.
>       (w32_read_socket) [WM_CHAR]: Use it to decode character
>       input (bug#3237).
>       (w32_initialize): Initialize it.
>       (codepage_for_locale): New function.
>
> Harald
>
>
> In GNU Emacs 23.0.95.1 (i386-mingw-nt5.1.2600)
>  of 2009-06-20 on DEV135NOB0966
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4)'
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: DEU
>   value of $XMODIFIERS: nil
>   locale-coding-system: cp1252
>   default-enable-multibyte-characters: t